Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class UniqueContentModel

    java.lang.Object
      org.infoml.infocardOrganizer.NotecardModel
          org.infoml.infocardOrganizer.UniqueContentModel

All Implemented Interfaces:
  java.io.Serializable

    public class UniqueContentModel

extends NotecardModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.infoml.infocardOrganizer.NotecardModel
`cardId, contentList, contentString, current, date, domain, email, first, honorific, middle1, middle2, notes1List, notes1String, notes2List, notes2String, number, punctuation, selectorsList, selectorsString, sessionDomain, sessionEmail, sessionNumber, sessionYahooId, suffix, surname, time, title, type, yahooId`

Constructor Summary
`UniqueContentModel()`

Method Summary
`java.lang.String` | `getNickname()`
`java.lang.String` | `getPage1()`
`java.lang.String` | `getPage2()`
`boolean` | `isEmpty()`
`boolean` | `isExact()`
`void` | `setExact(boolean isExact)`
`void` | `setPage1(java.lang.String page1)`
`void` | `setPage2(java.lang.String page2)`
`void` | `setShared(SharedContentModel shared)`
`void` | `setShared(java.lang.String key, java.util.Map sharedContent)`

Methods inherited from class org.infoml.infocardOrganizer.NotecardModel
`getCardId, getContentList, getContentString, getDate, getDomain, getEmail, getFirst, getHonorific, getMiddle1, getMiddle2, getNotes1List, getNotes1String, getNotes2List, getNotes2String, getNumber, getPunctuation, getSelectorsList, getSelectorsString, getSessionDomain, getSessionEmail, getSessionNumber, getSessionYahooId, getSuffix, getSurname, getTime, getTitle, getYahooId, increaseSequenceNumber, removeWhiteSpace, setCardId, setContentList, setContentString, setContentStringFromList, setDate, setDomain, setEmail, setFirst, setHonorific, setMiddle1, setMiddle2, setNotes1List, setNotes1String, setNotes1StringFromList, setNotes2List, setNotes2String, setNotes2StringFromList, setNumber, setPunctuation, setSelectorsList, setSelectorsString, setSelectorsStringFromList, setSessionDomain, setSessionEmail, setSessionNumber, setSessionYahooId, setSuffix, setSurname, setTime, setTime, setTitle, setupInf, setYahooId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueContentModel

    public UniqueContentModel()

Method Detail

### isEmpty

    public boolean isEmpty()

### setShared

    public void setShared(java.lang.String key,
                          java.util.Map sharedContent)

### setShared

    public void setShared(SharedContentModel shared)

### isExact

    public boolean isExact()

### setExact

    public void setExact(boolean isExact)

### getPage1

    public java.lang.String getPage1()

### setPage1

    public void setPage1(java.lang.String page1)

### getPage2

    public java.lang.String getPage2()

### setPage2

    public void setPage2(java.lang.String page2)

### getNickname

    public java.lang.String getNickname()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD